Subject: Re: E-Verify Poster
From: Joey Sheets <[email-masked]>
To: Labor Law <[email-masked]>
Cc: Steve Fata <[email-masked]>, Mike <[email-masked]>
Date: Wed, 22 Mar 2017 11:06:41 -0400

Looks like a list is available from their website of all the companies
taking part in it.  The list is 488,000.  I am downloading it now.  This is
probably a pretty good list of active companies and they all have at least
5 employees.

-Joey

On Fri, Mar 10, 2017 at 12:49 PM, Labor Law <[email-masked]> wrote:

> We had a customer request an E-Verify poster today. There is a database
> provided by the Dept of Homeland Security and Social Security
> Administration called E-Verify where you can get verification of employment
> status. Employers that participate are required to post this E-Verify
> participation poster (English and Spanish attached). According to
> uscis.gov there are more than 600,000 employers participating and 1.9
> million hiring sites. I think we need to start selling this poster and we
> should even do a mailer for it.
> What do you think?
>
>
> https://www.uscis.gov/e-verify/what-e-verify
>
>
>